xmlwrapp Lightweight C++ XML parsing library

Public Types | Public Member Functions | List of all members
xml::error_message Class Reference

Single message in error_messages. More...

`#include <errors.h>`

## Public Types
enum | message_type { type_error, type_warning }
| A type for different type of errors. More...

## Public Member Functions
| error_message (const std::string &err_msg, message_type msg_type)
| Create a new xml::error_message object. More...
message_type | type () const
| Get the error message type. More...
const std::string & | message () const
| Get the error message. More...

## Detailed Description

Single message in error_messages.

Since
  0.7.0

## Member Enumeration Documentation

## ◆ message_type

enum xml::error_message::message_type

A type for different type of errors.

Enumerator
type_error | error
type_warning | warning

## Constructor & Destructor Documentation

## ◆ error_message()

xml::error_message::error_message | ( | const std::string & | err_msg,
|  | message_type | msg_type
| ) |  |
| inline

Create a new xml::error_message object.

Parameters

  err_msg | The error message.
  msg_type | The error type.

## Member Function Documentation

## ◆ message()

const std::string& xml::error_message::message | ( |  | ) | const
| inline

Get the error message.

## ◆ type()

message_type xml::error_message::type | ( |  | ) | const
| inline

Get the error message type.

The documentation for this class was generated from the following file:

- xmlwrapp/errors.h